Bug 444517 - Changing config channel subscription does not create a snapshot tag
Changing config channel subscription does not create a snapshot tag
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
510
All Linux
low Severity low
: ---
: ---
Assigned To: Jay Dobies
wes hayutin
: Regression
Depends On:
Blocks: sat530-snapshots
  Show dependency treegraph
 
Reported: 2008-04-28 16:01 EDT by Justin Sherrill
Modified: 2009-09-10 15:58 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:58:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2008-04-28 16:01:57 EDT
Anytime a config channel subscription change is made to system, a snapshot
should get
created, but it isn't.

Satellite 4.0 behaves correctly.
Comment 1 Jay Dobies 2009-01-09 13:50:31 EST
Commit: 287c7ca9d564f1db9e9bb0e38a04c402befa7fd3

ChannelListUnsubscribeSubmitAction.java
RankChannelsAction.java
StringResource_en_US.xml
- Added snapshot hooks for subscribing/unsubscribing from configuration channels
Comment 2 wes hayutin 2009-02-12 09:14:10 EST
Justin, this works when channels are subscribed from the sdc view.
However this is not working when you use central config mang to subscribe a config channel to a system..

Let's chat about this one
Comment 3 wes hayutin 2009-02-17 16:56:18 EST
k.. this fails..
1. this works for channels subscribed locally in the sdc
2. this does NOT work for channels subscribed globally in the config mang tool.

recreate..
click configuration (top menu)
create a channel
subscribe the channel w/ target system menu..
Comment 4 Jay Dobies 2009-02-19 11:41:11 EST
Commit: ccb4da45f87f20112deb8ccf419ad8f9c62c7c67

TargetSystemsListSubmit.java
- Added snapshot hooks for subscribing via target systems

Didn't realize this option existed when I first worked on the bug.
Comment 5 wes hayutin 2009-03-03 12:13:13 EST
verified..

 2009-03-03 12:09:22 Snapshot - Configuration Channels

Here are the differences between the current and snapshot configuration channel subscriptions:
  	1 - 2 of 2   	   
Config Channel 	Label 	Membership
second 	second 	Current Profile Only
wes 	wes 	Both Current and Snapshot
Comment 6 John Sefler 2009-08-03 14:49:01 EDT
Re-verified in stage iso 7/24

logged in as admin

Create and subscribe a channel in the global Configuration tool.....

1. Configuration / Configuration Channels / create new config channel ... foochannel

2. within foochannel... Systems / Target Systems / check <system> / Subscribe systems
Successfully subscribed 1 systems(s).
Note the time.

3. Systems / <system> / Provisioning / Snapshots / Configuration Channels Updated
is listed first with the time taken above.

4. Click the second Snapshot Reason listed  and then click Config Channels tab
Config Channel  	Label  	Membership
foochannel 	foochannel 	Current Profile Only 


Now lets remove the channel using the SDC.....

1. Systems / <system> / Configuration / Manage Configuration Channels / uncheck foochannel / Unsubscribe
1 configuration channels were unsubscribed
Note the time.

2. Systems /  <system> / Provisioning / Snapshots / Configuration Channels Updated
is listed first with the time taken above.

3. Click the second Snapshot Reason listed  and then click Config Channels tab
Config Channel  	Label  	Membership
foochannel 	foochannel 	Snapshot Profile Only 


Re-verified that Provisioning snapshots are being created when the Config Channels are changed from the SDC and the global admin Configuration tool.

Moving to RELEASE_PENDING
Comment 7 Brandon Perkins 2009-09-10 15:58:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.